Ticket #40204

subwindow menu bar

Open Date: 2020-02-28 01:22 Last Update: 2020-03-29 11:07

Reporter:
(Anonymous)
Owner:
Status:
Closed
Component:
(None)
MileStone:
Priority:
1 - Lowest
Severity:
1 - Lowest
Resolution:
Fixed
File:
None

Details

If possible, make the subwindow menu bar thinner.

(Because many Japanese users use 3 to 4 sub windows vertically)

Ticket History (3/7 Histories)

2020-02-28 01:22 Updated by: None
  • New Ticket "subwindow menu bar" created
2020-02-28 05:05 Updated by: backwardseric
Comment

From what I know so far, that's not readily done. There's no direct configuration options for the font or margins on the title bars.

Some things that appear to be possible:

1) A window can be shown without a title bar so you'd have more screen real estate but wouldn't have ready access to the controls for closing or minimizing the window or the reminder, through the title, about what the window's purpose.

2) The title bar could be made transparent with contents of the window shown underneath. That probably would work best for something like a message or inventory window, likely less so for the main window

If those options were implemented, there would be a dialog where you could configure how to handle the title bar of each of the eight available windows. The settings would be retained when you next started the application.

2020-02-28 17:22 Updated by: None
Comment

backwardseric への返信

From what I know so far, that's not readily done. There's no direct configuration options for the font or margins on the title bars. Some things that appear to be possible: 1) A window can be shown without a title bar so you'd have more screen real estate but wouldn't have ready access to the controls for closing or minimizing the window or the reminder, through the title, about what the window's purpose. 2) The title bar could be made transparent with contents of the window shown underneath. That probably would work best for something like a message or inventory window, likely less so for the main window If those options were implemented, there would be a dialog where you could configure how to handle the title bar of each of the eight available windows. The settings would be retained when you next started the application.

I am sorry because I am not good at English.

As an image, it is the window of the inspector of the preview of the mac standard application.

Preview App >> Tools >> Show Inspector

The title bar size of this window is easy to use

2020-02-29 05:16 Updated by: backwardseric
  • Owner Update from (None) to backwardseric
Comment

Reply To (Anonymous)

As an image, it is the window of the inspector of the preview of the mac standard application. Preview App >> Tools >> Show Inspector The title bar size of this window is easy to use

In Apple's terminology, that's a panel. It has some differences in behavior compared to a standard window, but for the windows other than the main one in Hengband, those differences aren't out of line with what's being done now. I'll convert the windows other than the main one to panels.

2020-02-29 05:27 Updated by: backwardseric
  • Milestone Update from (None) to 2.2.1.7d
2020-02-29 07:30 Updated by: backwardseric
Comment

A change to accomplish this was checked into the master branch as https://osdn.net/projects/hengbandforosx/scm/git/hengbandosx/commits/dc902631e5115d6b8fed8f3b6c12bf28dd161533 . The change was also merged into the For2.2.2-Refactoring-Cocoa branch.

2020-03-29 11:07 Updated by: backwardseric
  • Status Update from Open to Closed
  • Resolution Update from None to Fixed
Comment

2.2.1.7d includes the change to configure all the windows other than the main one as panels so they have the narrower title bars.

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login